Bug 6428 - ExistsQueryStringTag fails with a null pointer exception if there is no query string.
Summary: ExistsQueryStringTag fails with a null pointer exception if there is no query...
Status: CLOSED FIXED
Alias: None
Product: Taglibs
Classification: Unclassified
Component: Request Taglib (show other bugs)
Version: 1.0B1
Hardware: Other other
: P3 normal (vote)
Target Milestone: ---
Assignee: Tomcat Developers Mailing List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-02-13 15:36 UTC by Tim Morley
Modified: 2004-11-16 19:05 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tim Morley 2002-02-13 15:36:01 UTC
If a JSP page is called with no query string and I try to check for the
existance of a particular tag with <req:existsQueryString ...> I get a
NullPointerException from ExistsQueryStringTag.java:117 calling
java.util.StringTokenizer. Looking at the code it doesn't check that the
querystring isn't null before trying to tokenize it, it should be a trivial
change to fix this.
Comment 1 Glenn Nielsen 2002-04-04 19:30:23 UTC
Thanks for reporting this. Sorry it took so long for me to get to it.
Fixed and will be in the next nightly build.